Đến nội dung


Hình ảnh
* * * - - 2 Bình chọn

Viết Lisp theo yêu cầu


  • Chủ đề bị khóa Chủ đề bị khóa
2780 replies to this topic

#561 vndesperados

vndesperados

    biết lệnh xref

  • Members
  • PipPipPipPipPipPipPip
  • 547 Bài viết
Điểm đánh giá: 253 (khá)

Đã gửi 19 March 2008 - 12:36 PM

Mình muốn có 1 lisp, khi load lisp thì tự động format usb (ổ F). Bạn nào giúp mình nhé.



Cái này thì VBA làm được. LISP cũng được nếu dùng qua shell. Nhưng mà bạn cần như thế để làm gì???
  • 0

#562 ngocvan

ngocvan

    biết vẽ polygon

  • Members
  • PipPip
  • 71 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 19 March 2008 - 01:14 PM

Mình muốn có 1 lisp, khi load lisp thì tự động format usb (ổ F). Bạn nào giúp mình nhé.

Khó đấy, không làm được đâu, vì sẽ có 1 trường hợp báo lỗi "không format được".
  • 0

#563 themanh01

themanh01

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 20 March 2008 - 08:37 AM

Các bác viết dùm em lisp như thế này: Em đang cần in một lúc rất nhiều bản vẽ có khung tên với kích thước rất khác nhau, khi in em phải canh lề trái để đóng thành tập. Vì vậy mỗi lần in một bản vẽ em lại phải chọn một tỷ lệ in khác nhau (hoặc là phải kẻ một đường song song với lề trái để khi quét vào đó và để auto thì mới canh lề được) rất lâu nhiều khi một bản vẽ chọn mấy lần mới được tỷ lệ thích hợp. Nhờ các bác viết dùm lisp mà khi in chọn windowns xong quét vào khung tên mà tự canh lề được: chẳng hạn như lề trái là 25mm, còn lại là 5mm. Thanhk!
  • 0

#564 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 20 March 2008 - 08:59 AM

Các bác viết dùm em lisp như thế này: Em đang cần in một lúc rất nhiều bản vẽ có khung tên với kích thước rất khác nhau, khi in em phải canh lề trái để đóng thành tập. Vì vậy mỗi lần in một bản vẽ em lại phải chọn một tỷ lệ in khác nhau (hoặc là phải kẻ một đường song song với lề trái để khi quét vào đó và để auto thì mới canh lề được) rất lâu nhiều khi một bản vẽ chọn mấy lần mới được tỷ lệ thích hợp. Nhờ các bác viết dùm lisp mà khi in chọn windowns xong quét vào khung tên mà tự canh lề được: chẳng hạn như lề trái là 25mm, còn lại là 5mm. Thanhk!

Bạn hãy search từ MPLOT trên diễn đàn rồi download về và dùng!
  • 0

#565 MANHHUNGXDA

MANHHUNGXDA

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 926 Bài viết
Điểm đánh giá: 458 (tốt)

Đã gửi 20 March 2008 - 09:08 AM

Cái này thì VBA làm được. LISP cũng được nếu dùng qua shell. Nhưng mà bạn cần như thế để làm gì???


Vấn đề này xin bác VKCường nói rõ hơn!
Mong tin bác!
  • 0
Hãy ước cho trọn 1 ước mơ!

#566 huynhnc

huynhnc

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 March 2008 - 10:23 AM

Rất mong các bạn viết cho mình xin lisp vẽ đoạn dư cho đường thẳng
C:\Documents and Settings\user\Desktop\GOI XIN LISP.jpg
  • 0

#567 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 20 March 2008 - 10:40 AM

Rất mong các bạn viết cho mình xin lisp vẽ đoạn dư cho đường thẳng
C:\Documents and Settings\user\Desktop\GOI XIN LISP.jpg



Cái ảnh của bạn không xem được:
Bạn phải làm rỏ ý sau:
-Đường thẳng có rồi hay vẽ mới.
-Đoạn dư riêng hay dình chung với đường thẳng chính, layer như thế nào, tỉ lệ đoạn dư ra sao.
Tôi nghỉ là ít ra phải có bấy nhiêu thì mọi người mới có thể giúp được bạn.
  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#568 minhdung007

minhdung007

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 March 2008 - 04:59 AM

Bạn có thể post yêu cầu về autolisp ở topic này.

Bác Nguyen Hoanh oi! Em khoái cái món Autolisp này của Bác lắm! Cảm ơn các Bác đã khai sinh ra trang Web để cho em down Lisp của các Bác về dùng <_< và đem lại hiệu quả công việc cao. Hôm nay em có ý tưởng này mong các Bác giúp em với:
-Ghi cao độ + ký hiệu mũi tên cao độ của điểm thứ 2 thông qua điểm thứ 1. Khi đã có text cao độ + ký hiệu mũi tên cao độ của điểm 1. Bằng cách tự chọn điểm đặt kết quả và đo khoảng cách theo phương Y từ điểm 1 đến điểm 2 trên bản vẽ.
Mục đích của lisp này là điền cao độ + ký hiệu mũi tên cao độ các điểm khác. Khi đã có trước cao độ + ký hiệu mũi tên cao độ 1 điểm và khoảng cách theo phương Y giữa điểm 1 và các điểm còn lại.
  • 0

#569 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 21 March 2008 - 05:50 AM

Bác Nguyen Hoanh oi! Em khoái cái món Autolisp này của Bác lắm! Cảm ơn các Bác đã khai sinh ra trang Web để cho em down Lisp của các Bác về dùng <_< và đem lại hiệu quả công việc cao. Hôm nay em có ý tưởng này mong các Bác giúp em với:
-Ghi cao độ + ký hiệu mũi tên cao độ của điểm thứ 2 thông qua điểm thứ 1. Khi đã có text cao độ + ký hiệu mũi tên cao độ của điểm 1. Bằng cách tự chọn điểm đặt kết quả và đo khoảng cách theo phương Y từ điểm 1 đến điểm 2 trên bản vẽ.
Mục đích của lisp này là điền cao độ + ký hiệu mũi tên cao độ các điểm khác. Khi đã có trước cao độ + ký hiệu mũi tên cao độ 1 điểm và khoảng cách theo phương Y giữa điểm 1 và các điểm còn lại.

Bạn hãy upload 1 file dwg ví dụ!

Trong đó có 2 phần, 1 phần là trước khi thực thi lisp, 1 phần là sau khi thực thi lisp.
  • 0

#570 anhducna

anhducna

    biết vẽ arc

  • Members
  • PipPip
  • 40 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 March 2008 - 04:38 PM

Nhờ mọi người viết cho tôi một lisp như thế này, chọn 2 đường thẳng thì chúng tự cắt nhau tại một điểm, trong trường hợp song song thì lisp báo lỗi. nếu có thể thì đo luôn góc tạo bởi 2 đường thẳng đó. và viết ra màn hình
  • 0

#571 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 21 March 2008 - 08:43 PM

Nhờ mọi người viết cho tôi một lisp như thế này, chọn 2 đường thẳng thì chúng tự cắt nhau tại một điểm, trong trường hợp song song thì lisp báo lỗi. nếu có thể thì đo luôn góc tạo bởi 2 đường thẳng đó. và viết ra màn hình

- chúng tự cắt nhau tại một điểm, trong trường hợp song song thì lisp báo lỗi: Bạn dùng lệnh fillet
- nếu có thể thì đo luôn góc tạo bởi 2 đường thẳng đó: bạn dùng lệnh dimangular
  • 1

#572 minhdung007

minhdung007

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 March 2008 - 09:52 PM

Bạn hãy upload 1 file dwg ví dụ!

Trong đó có 2 phần, 1 phần là trước khi thực thi lisp, 1 phần là sau khi thực thi lisp.

http://www.cadviet.c...guyen_Hoanh.dwg
  • 0

#573 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 22 March 2008 - 10:15 AM

http://www.cadviet.com/upfiles/Gui_Bac_Nguyen_Hoanh.dwg

Bạn xem ở đây: http://www.cadviet.c...sp-DC-t152.html
  • 0

#574 tranchan

tranchan

    biết lệnh break

  • Members
  • PipPipPipPip
  • 221 Bài viết
Điểm đánh giá: 93 (tàm tạm)

Đã gửi 22 March 2008 - 04:51 PM

Cám ơn bác nhưng cái đó chỉ dùng cho text được thôi, em muốn bất cứ một cái gì cũng được ví dụ như hình tròn, hcn.....bác giúp thêm nhé. thank!



Bác có voi đòi 2 bà trưng ... hehê. Mình ko chắc wipeout làm dc cho tất cả các trường hợp. Text mask chẳng qua nó cũng làm từ wipeout mà ra cả thôi.

Command: WIPEOUT
Specify first point or [Frames/Polyline] <Polyline>:
Lúc này chọn hình Pline kín vẽ trước hoặc nhập điểm để vẽ. Bạn tham khao ở 2 hv sau:http://www.cadviet.com/upfiles/1.bmp
http://www.cadviet.com/upfiles/2.bmp
  • 1

#575 chandoll

chandoll

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 23 March 2008 - 01:41 PM

Bác Hoành ơi , nhờ bác bày cho em đoạn lisp để xuất toạ độ của điểm đầu và điểm cuối của một đoạn thẳng mà mình chọn.
  • 0

#576 chandoll

chandoll

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 23 March 2008 - 03:23 PM

Đây là đoạn lisp em lập để xoay một đối tượng Mtext quanh tâm của nó một goc 90. Nhưng nó không chạy được . Nhờ bác sửa giùm em .

(Defun C:quay ( )

(setq DT (entsel "\nChon text mau"))
(while
(or
(null DT)
(/= "MTEXT" (cdr (assoc 0 (entget (car DT)))))
)
(princ "\nDoi tuong khong phai la MTEXT! Chon lai")
(setq DT (entsel "\nChon MTEXT mau"))
)
(setq DT (car DT))
(setq DT (entget DT))
(setq DD (cdr (assoc 10 DT)))
(setq DC (cdr (assoc 11 DT)))


(princ DD)
(princ dc)
(setq dx1 (distof car(dd) 2))
(setq dx2 (distof car(dc) 2))
(setq dx (+ dx1 dx2))
(setq dx (/ dx 2)
(setq dy1 (distof cadr(dd) 2))
(setq dy2 (distof cadr(dc) 2))
(setq dy (+ dy1 dy2))
(setq dy (/ dy 2))
(command "rotate" dt "" '(dx dy) 90)
)
  • 0

#577 nataca

nataca

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 712 Bài viết
Điểm đánh giá: 553 (tốt)

Đã gửi 23 March 2008 - 03:33 PM

Mình có một vấn đề như sau: khi in các trắc ngang thường phải edit lại số hiệu bản vẽ để tăng dần. Các bạn có thể giúp mình một lisp để khi mỗi lần click đúp vào số thứ tự đó thì nó tự động nhảy tăng thêm 1 không ? cám ơn rất nhiều.

Không bác nào giúp em được vấn đề này ah <_<
  • 0

#578 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 23 March 2008 - 05:55 PM

Không bác nào giúp em được vấn đề này ah <_<

Đây là mục viết lisp theo yêu cầu, không phải là nơi hỏi về lisp.

Bạn hãy post câu hỏi đúng topic của nó!
  • 0

#579 nataca

nataca

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 712 Bài viết
Điểm đánh giá: 553 (tốt)

Đã gửi 23 March 2008 - 06:33 PM

Đây là mục viết lisp theo yêu cầu, không phải là nơi hỏi về lisp.

Bạn hãy post câu hỏi đúng topic của nó!

Xin lỗi bác NguyenHoanh nhưng em đang muốn các bác giúp viết hộ em cái Lisp mà khi click đúp vào một số nào đó thì nó tự động nhảy lên thêm 1 đơn vị mà. Bác không hiểu ý em hỏi
  • 0

#580 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 24 March 2008 - 12:52 AM

Xin lỗi bác NguyenHoanh nhưng em đang muốn các bác giúp viết hộ em cái Lisp mà khi click đúp vào một số nào đó thì nó tự động nhảy lên thêm 1 đơn vị mà. Bác không hiểu ý em hỏi


click đúp thì lisp rất khó làm được.
Nhưng sử dụng lệnh inc dưới đây sẽ giúp bạn làm được điều đó:

(defun c:inc ( / tt)
(while (and (not (setq sel (nentsel "\nPick vao doi tuong: ")))
(wcmatch (cdr (assoc 0 (entget (car sel))))
"TEXT,ATTRIBUTE"
)
)
)
(setq
tt (entget (car sel))
old (assoc 1 tt)
gt (cdr old)
)
(if (wcmatch gt "#")
(progn
(setq gt (itoa (1+ (atoi gt)))
tt (subst (cons 1 gt) old tt)
)
(entmod tt)
(entupd (car sel))
)
(alert (strcat "Ban can pick vao mot so\n"
gt
" khong phai la mot so"
)
)
)
(princ)
)

  • 1